* {
  margin: 0; padding: 0;
}

body {
background-color: pink;
color: rgb(7, 7, 120);
font-family: Verdana, Geneva, Tahoma, sans-serif;
padding: 12px;
border: 2px;
}


/* type selector*/
header {
 border: 4px solid rgb(7, 7, 120);
}

/* decendent selctor*/
header > h1 {
  text-align: center;
  font-weight: normal;
  text-transform: uppercase;
  color: white;
  border: 2px solid rgb(48, 48, 97);
  margin: 8px;
  padding: 2px;
}

header span {
   display: block;

}


/* class selector */
.subtitle {
  text-align: center;
  border: 2px solid rgb(48, 48, 97);
  margin: 8px;
  padding: 4px;
}

/* ================================= */
/* CSS Examples */

section {
   display: flex;
   justify-content: center;
   flex-flow: row wrap;

}

section article {
    border: 2px solid black;
    max-width: 360px;
    min-height: 200px;
    margin: 10px;
    flex: 0 0 auto;
    padding: 4px; 
}

article h2 {
    font-size: 16pt;
}

article p {
    margin: 8px;
    line-height: 1.4;
}

/* ID selector */
#art1 div {
    width: 70%;
    aspect-ratio: 2/1;
    background-color: rgb(120, 15, 15) ;
    margin: 20px auto;
    border-radius: 20px;
}

#art2 div {
    width: 70%;
    aspect-ratio: 2.5/1;
    background-color: black;
    margin: 20px auto; /* center a block */
    box-shadow: 4px 8px 5px blue; /*use negative sign if you want shadow on left side or on top - fist # is shadow on the left, second # is for bottom, third # is for blurriness */

}

#art3 h2 {
    font-family: "Cookie", cursive;
    text-align: center;
    font-size: 18pt;
    color: black;
}

#art4 {
    /* use position relative on the parent */
    position: relative;
}

#art4 h2 {
    color: green;
    /* use position absolute on the child you want to manipulate */
    position: absolute; /* allows a border only around the text*/
    bottom: 0; left: 0;
    border: 2px solid rgb(64, 204, 64);
    width: 100%; /* allows the border to stretch to max */ 
    text-align: center;
}

#art5 {
    position: relative;
}

#art5 div {
    /* setting position absolute to ALL divs within art5 */
    position: relative;
}

#art5 div:nth-of-type(1) {
    width: 40%; aspect-ratio: 1/1;
    background-color: purple;
    bottom: 10px; left: 64px;
    z-index: 2; /* allows you to move the box on top or bottom of the other one */
}

#art5 div:nth-of-type(2) {
    width: 40%; aspect-ratio: 1/1;
    background-color: yellow;
    bottom: 100px; right: -100px;
}

#art6 {
    transition: all 300ms linear;
}

#art6:hover {
    background-color: white;
    color: black;
    border: 2px solid green;
}